Skip to main content

Update Lead: RealPage Partner Exchange

PUThttps://api.propexo.com/v1/leads/realpage_rpx/:lead_id
MethodInterface
UpdateProspectProspect Management

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lead_id stringrequired

The Propexo unique identifier for the lead

Request​

This endpoint expects an object.

    employee_idstring

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source

    lead_relationship_idstring

    The Propexo unique identifier for the lead relationship

    unit_idstring

    The Propexo unique identifier for the unit

    first_namestring

    The first name associated with the lead

    Possible values: <= 30 characters

    middle_namestring

    The middle name associated with the lead

    Possible values: <= 30 characters

    last_namestring

    The last name associated with the lead

    Possible values: <= 30 characters

    date_of_birthstring<date-time>

    The date of birth associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    target_move_in_datestring<date-time>

    The move-in date associated with the lead

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    number_of_occupantsnumber

    The number of occupants living in the unit

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lead_idstringrequired

    The Propexo unique identifier for the lead

    employee_idstring

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source

    lead_relationship_idstring

    The Propexo unique identifier for the lead relationship

    unit_idstring

    The Propexo unique identifier for the unit

    first_namestring

    The first name associated with the lead

    Possible values: <= 30 characters

    middle_namestring

    The middle name associated with the lead

    Possible values: <= 30 characters

    last_namestring

    The last name associated with the lead

    Possible values: <= 30 characters

    date_of_birthstring<date-time>

    The date of birth associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    target_move_in_datestring<date-time>

    The move-in date associated with the lead

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    number_of_occupantsnumber

    The number of occupants living in the unit

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/realpage_rpx/:lead_id
curl -X PUT https://api.propexo.com/v1/leads/realpage_rpx/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"employee_id": "string",
"lead_source_id": "string",
"lead_relationship_id": "string",
"unit_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_lease_term_in_months": 0,
"desired_max_rent_in_cents": 0,
"number_of_occupants": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"employee_id": "string",
"lead_source_id": "string",
"lead_relationship_id": "string",
"unit_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_lease_term_in_months": 0,
"desired_max_rent_in_cents": 0,
"number_of_occupants": 0
}
}